cc.funkemunky.api.utils.math

## Class Average

- java.lang.Object
- - cc.funkemunky.api.utils.math.Average

    public class Average
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Average(int limit)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addValue(double value)`
`void` `clearValues()`
`double` `getAverage(boolean clear)`
`boolean` `isAtLimit()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Average

    public Average(int limit)

### Method Detail

#### addValue

    public void addValue(double value)

#### clearValues

    public void clearValues()

#### isAtLimit

    public boolean isAtLimit()

#### getAverage

    public double getAverage(boolean clear)